// ***************************************************************
//  Fly - date created: 04/30/2006
//  Programmer(s):  Seth A. Robinson (seth@rtsoft.com) 
//  Copyright (C) 2006 Robinson Technologies - All Rights Reserved

#ifndef Fly_HEADER_INCLUDED // include guard
#define Fly_HEADER_INCLUDED  // include guard

#include "main.h"
#include "Entity.h"

class Fly: public Entity
{
public:

    Fly();
    virtual ~Fly();

	virtual void Update(float step);
	virtual void OnMessage(Message &msg);

	enum eMode
	{
		eMoving,
		eWaiting,
		eLeaving
	};

protected:

private:

	eMode m_mode;

};

#endif                  // include guard